Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control.classic
Class ServiceControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.control.ControlException
                      weblogic.jws.control.ControlException
                          com.bea.control.classic.ServiceControlException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServiceControlException

    public class ServiceControlException

extends ControlException

The ServiceControlException class can be used to throw exceptions from a web service control.

See Also:
  `ControlException`, Serialized Form

Constructor Summary
`ServiceControlException(String msg)`
`ServiceControlException(String msg, Throwable t)`

Method Summary
`SoapFault` | `getSoapFault()`
`boolean` | `hasSoapFault()`
`void` | `setSoapFault(SoapFault soapFault)`

Methods inherited from class com.bea.control.ControlException
`getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceControlException

    public ServiceControlException(String msg)

### ServiceControlException

    public ServiceControlException(String msg,
                                   Throwable t)

Method Detail

### hasSoapFault

    public boolean hasSoapFault()

### getSoapFault

    public SoapFault getSoapFault()

  See Also:
    `SoapFault`

### setSoapFault

    public void setSoapFault(SoapFault soapFault)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD